<section id="traveller">
  <div class="container-fluid bgclr">
    <ul class="breadcrumb reset">
      <li>
        <a [routerLink]="['/side-menu',{outlets:{sidebar:'fare'}}]">Fare ></a>
      </li>
      <li class="">
        Add Fare
      </li>
    </ul>
    <div class="card">
      <div class="card-body">
        <div class="card">
          <div class="card-header">
            Add Fare
          </div>
          <div class="card-body">

            <form [formGroup]="fareForm" (ngSubmit)="onSubmit()">
              <div class="form-group">
                <div class="form-row">
                  <div class="col">


                    <label for="">Country:</label>
                    <select class="form-control" formControlName="country" [(ngModel)]="selectedLevel"
                      (change)="selected()" [ngClass]="{ 'is-invalid': submitted && f.country.errors }">
                      <option value="{{country._id}}" *ngFor="let country of countries">{{country.name}}</option>
                    </select>
                    <div *ngIf="submitted && f.country.errors" class="invalid-feedback">
                      <div *ngIf="f.country.errors.required">Country is required</div>
                    </div>
                  </div>
                  <div class="col">
                    <label for="">State:</label>
                    <select class="form-control" formControlName="state" placeholder="State" [(ngModel)]="stateid"
                      (change)="stateSelected()" [ngClass]="{ 'is-invalid': submitted && f.state.errors }">
                      <option value="{{state._id}}" *ngFor="let state of states">{{state.name}}
                      </option>
                    </select>
                    <div *ngIf="submitted && f.state.errors" class="invalid-feedback">
                      <div *ngIf="f.state.errors.required">State is required</div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="form-group">
                <div class="form-row">
                  <div class="col">
                    <!-- <label for="">City:</label>
                    <input type="text" class="form-control" formControlName="city" placeholder="City"> -->
                    <label for="">City:</label>
                    <select class="form-control" formControlName="city" placeholder="City"
                      [ngClass]="{ 'is-invalid': submitted && f.city.errors }">
                      <option value="{{city._id}}" *ngFor="let city of cities">{{city.name}}
                      </option>
                    </select>
                    <div *ngIf="submitted && f.city.errors" class="invalid-feedback">
                      <div *ngIf="f.city.errors.required">City is required</div>
                    </div>
                  </div>
                  <div class="col">
                    <label for="">Petrol charges</label>
                    <input type="text" class="form-control" formControlName="petrolCharge" placeholder="Petrol charges"
                      [ngClass]="{ 'is-invalid': submitted && f.petrolCharge.errors }">
                    <div *ngIf="submitted && f.petrolCharge.errors" class="invalid-feedback">
                      <div *ngIf="f.petrolCharge.errors.required">Petrol charges is required</div>
                      <div *ngIf="f.petrolCharge.errors.pattern">
                        Enter only numbers
                      </div>
                    </div>

                  </div>
                </div>
              </div>
              <div class="form-group">
                <div class="form-row">
                  <div class="col">
                    <label for="">Diesel charges</label>
                    <input type="text" class="form-control" formControlName="dieselCharge" placeholder="Diesel Charges"
                      [ngClass]="{ 'is-invalid': submitted && f.dieselCharge.errors }">
                    <div *ngIf="submitted && f.dieselCharge.errors" class="invalid-feedback">
                      <div *ngIf="f.dieselCharge.errors.required">Diesel charges is required</div>
                      <div *ngIf="f.dieselCharge.errors.pattern">
                        Enter only numbers
                      </div>
                    </div>
                  </div>
                  <div class="col">
                    <label for="">PerKm charges</label>
                    <input type="text" class="form-control" formControlName="perKmCharge" placeholder="PerKm Charges"
                      [ngClass]="{ 'is-invalid': submitted && f.perKmCharge.errors }">
                    <div *ngIf="submitted && f.perKmCharge.errors" class="invalid-feedback">
                      <div *ngIf="f.perKmCharge.errors.required">Fixed charges is required</div>
                      <div *ngIf="f.perKmCharge.errors.pattern">
                        Enter only numbers
                      </div>
                    </div>
                  </div>
                  <!-- <div class="col">
                    <label for="">Cancellation charges</label>
                    <input type="text" class="form-control" formControlName="cancellationCharge"
                      placeholder="Cancellation charges" [ngClass]="{ 'is-invalid': submitted && f.cancellationCharge.errors }">
                      <div *ngIf="submitted && f.cancellationCharge.errors" class="invalid-feedback">
                        <div *ngIf="f.cancellationCharge.errors.required">Cancellation charges is required</div>
                        <div *ngIf="f.cancellationCharge.errors.pattern"> 
                          Enter only numbers
                        </div>
                    </div>
                  </div> -->
                </div>
              </div>
              <!-- <div class="form-group">
                <div class="form-row">
                  <div class="col-6">
                    <label for="">Fixed charges</label>
                    <input type="text" class="form-control" formControlName="perKmCharge" placeholder="Fixed Charges"
                      [ngClass]="{ 'is-invalid': submitted && f.perKmCharge.errors }">
                    <div *ngIf="submitted && f.perKmCharge.errors" class="invalid-feedback">
                      <div *ngIf="f.perKmCharge.errors.required">Fixed charges is required</div>
                      <div *ngIf="f.perKmCharge.errors.pattern">
                        Enter only numbers
                      </div>
                    </div>
                  </div>

                </div>
              </div> -->
              <div>
                <button type="submit" class="btn btn-success float-right" [disabled]="fareForm.invalid">Submit</button>
              </div>
            </form>
          </div>
        </div>
      </div>

    </div>
  </div>
</section>